/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.client.frames.adhoc;

import com.queplix.core.client.common.event.Event;
import com.queplix.core.client.common.ui.ButtonData;

/**
 * Frame Links.
 *
 * @author Sultan Tezadov
 */
public class FrameLinks extends com.queplix.core.client.common.ui.FrameLinks {
    // -------------------- public events ------------------------
    public static interface Events {
        /*        Event LOGOUT = new Event();
    Event HELP = new Event();
    Event ABOUT = new Event();
    Event MY_SETTINGS = new Event();*/
        Event MAIN_FRAME = new Event();
    }
    // ----------------- end of public events --------------------

    private static interface Buttons {
        /*        ButtonData LOGOUT = new ButtonData("Logout");
   ButtonData HELP = new ButtonData("Help");
   ButtonData ABOUT = new ButtonData("About");
   ButtonData MY_SETTINGS = new ButtonData("My Settings");*/
        ButtonData MAIN_FRAME = new ButtonData("Return to QueWeb");
    }

    public FrameLinks() {
/*        addButton(Events.LOGOUT, Buttons.LOGOUT);
        addButton(Events.HELP, Buttons.HELP);
        addButton(Events.ABOUT, Buttons.ABOUT);
        addButton(Events.MY_SETTINGS, Buttons.MY_SETTINGS);*/
        Buttons.MAIN_FRAME.setCaptionStyle("linkIconButton");
        addButton(Events.MAIN_FRAME, Buttons.MAIN_FRAME);
    }

}
